Bug 15193 - Perl scripts missing exec permission
Summary: Perl scripts missing exec permission
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-16 12:06 UTC by Fridolin Somers
Modified: 2017-06-14 22:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15193 - Perl scripts missing exec permission (2.08 KB, patch)
2015-11-16 12:08 UTC, Fridolin Somers
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15193: Perl scripts missing exec permission (2.13 KB, patch)
2015-12-03 03:28 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15193 - Perl scripts missing exec permission (2.21 KB, patch)
2015-12-11 09:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2015-11-16 12:06:34 UTC
Some perl scripts have 644 permissions instead of 755.

I think some are special like install-CPAN.pl but others are incorrect for no reason :

$ find . -name '*.pl' -exec ls -l {} \; | grep -v "rwx"
-rw-rw-r-- 1 fsomers fsomers 4679 oct.  29 15:12 ./misc/cronjobs/nl-sync-from-koha.pl
-rw-rw-r-- 1 fsomers fsomers 5697 oct.  29 15:12 ./misc/cronjobs/nl-sync-to-koha.pl
-rw-rw-r-- 1 fsomers fsomers 13064 oct.  29 15:12 ./misc/load_testing/benchmark_staff.pl
-rw-rw-r-- 1 fsomers fsomers 913 juil. 28 15:17 ./selenium/PERL/Members/AddMember.pl
-rw-rw-r-- 1 fsomers fsomers 1287 juil. 28 15:17 ./selenium/PERL/Members/FilterMembers.pl
-rw-rw-r-- 1 fsomers fsomers 1020 juil. 28 15:17 ./selenium/PERL/Members/Searchmember.pl
-rw-rw-r-- 1 fsomers fsomers 10593 oct.  29 15:12 ./koha-tmpl/intranet-tmpl/lib/tiny_mce/tiny_mce_gzip.pl
-rw-r--r-- 1 fsomers fsomers 266 nov.  13 12:28 ./kohaversion.pl
-rw-r--r-- 1 fsomers fsomers 1529 nov.  10 16:54 ./install-CPAN.pl
-rw-r--r-- 1 fsomers fsomers 3455 nov.  10 16:54 ./cataloguing/value_builder/unimarc_field_100_authorities.pl
-rw-r--r-- 1 fsomers fsomers 11552 nov.  13 12:28 ./cataloguing/value_builder/marc21_linking_section.pl
-rw-r--r-- 1 fsomers fsomers 5082 nov.  10 16:54 ./cataloguing/value_builder/EXAMPLE.pl
Comment 1 Fridolin Somers 2015-11-16 12:08:36 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2015-11-16 19:47:17 UTC
I still find some scripts without execute permissions,
is that ok?

-rw-r--r-- 1 bgkriegel bgkriegel 266 Oct 15 18:51 ./kohaversion.pl
-rw-r--r-- 1 bgkriegel bgkriegel 1287 Oct 15 18:51 ./selenium/PERL/Members/FilterMembers.pl
-rw-r--r-- 1 bgkriegel bgkriegel 913 Oct 15 18:51 ./selenium/PERL/Members/AddMember.pl
-rw-r--r-- 1 bgkriegel bgkriegel 1020 Oct 15 18:51 ./selenium/PERL/Members/Searchmember.pl
-rw-r--r-- 1 bgkriegel bgkriegel 1529 Oct 15 18:51 ./install-CPAN.pl
-rw-r--r-- 1 bgkriegel bgkriegel 13064 Oct 15 18:51 ./misc/load_testing/benchmark_staff.pl
-rw-r--r-- 1 bgkriegel bgkriegel 5082 Oct 15 18:51 ./cataloguing/value_builder/EXAMPLE.pl
-rw-r--r-- 1 bgkriegel bgkriegel 10593 Oct 15 18:51 ./koha-tmpl/intranet-tmpl/lib/tiny_mce/tiny_mce_gzip.pl
Comment 3 Fridolin Somers 2015-12-02 15:17:44 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #2)
> I still find some scripts without execute permissions,
> is that ok?
> 
> -rw-r--r-- 1 bgkriegel bgkriegel 266 Oct 15 18:51 ./kohaversion.pl
I don't see why it could not have execute permissions.

> -rw-r--r-- 1 bgkriegel bgkriegel 1287 Oct 15 18:51
> ./selenium/PERL/Members/FilterMembers.pl
> -rw-r--r-- 1 bgkriegel bgkriegel 913 Oct 15 18:51
> ./selenium/PERL/Members/AddMember.pl
> -rw-r--r-- 1 bgkriegel bgkriegel 1020 Oct 15 18:51
> ./selenium/PERL/Members/Searchmember.pl
Selenium is special I think, keep like this.

> -rw-r--r-- 1 bgkriegel bgkriegel 1529 Oct 15 18:51 ./install-CPAN.pl
This is like Makefile.PL, maybe not executable to avoid launching by mistake.

> -rw-r--r-- 1 bgkriegel bgkriegel 13064 Oct 15 18:51
> ./misc/load_testing/benchmark_staff.pl
May have execute permissions I'd say.

> -rw-r--r-- 1 bgkriegel bgkriegel 5082 Oct 15 18:51
> ./cataloguing/value_builder/EXAMPLE.pl
Maybe on purpose since it is a sample.

> -rw-r--r-- 1 bgkriegel bgkriegel 10593 Oct 15 18:51
> ./koha-tmpl/intranet-tmpl/lib/tiny_mce/tiny_mce_gzip.pl
This is an imported library so I'd say we don't change.
Comment 4 Héctor Eduardo Castro Avalos 2015-12-03 03:28:04 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-12-11 09:01:45 UTC
Created attachment 45584 [details] [review]
Bug 15193 - Perl scripts missing exec permission

Some perl scripts have 644 permissions instead of 755.

I think some are special like install-CPAN.pl.

This patch corrects some common perl scripts.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2015-12-11 16:42:04 UTC
Pushed to master!

Thanks Frido!
Comment 7 Julian Maurice 2015-12-14 07:31:45 UTC
Patch pushed to 3.22.x, will be in 3.22.1
Comment 8 Frédéric Demians 2015-12-14 17:58:56 UTC
This patch has been pushed to 3.20.x, will be in 3.20.7.